관리 메뉴

bboks.net™

Ionic capacitor downgrade 본문

Web/Ionic

Ionic capacitor downgrade

bboks.net 2021. 6. 24. 14:46

Ionic 버전이 6.15.x에서 6.16.x으로 업그레이드 되면서 capacitor 버전도 2.x에서 3.x로 올라갔다.

Ionic 6.15.x를 이용해서 Android platform을 추가하려고 하니 unknown option ‘–npm-client’ 오류가 발생하면서 추가가 되지 않음.....

구글링하고 Ionic을 최신(6.16.x)으로 변경하니 정상적으로 추가가 됨

ionic cap run android -l --external을 이용해 실행하려고 하니 Anroid SDK를 찾지 못한다고 하여 윈도우 환경 변수에 ANDROID_HOME 추가 후 다시 실행

capacitor 2.x에서 실행시 Android Studio가 뜨던 것과 다르게 기기에 바로 설치되어 실행(안드로이드 native 디버깅을 어떻게 하라고 ㅅㅂ....) 확인을 해보니 capacitor가 3.x 로 설치되어 있었음

capacitor를 2.x대로 변경을 마음먹고 구글링

1. Ionic 버전을 6.16.x에서 6.15.x로 변경

npm uninstall -g @ionic/cli
npm i -g @ionic/cli@6.15.0

2. 플랫폼 추가

ionic cap add android

error: unknown option '--npm-client' 에러 발생

3. capacitor/cli 2.x 설치

npm i @capacitor/cli@2.4.7

4. capacitor/core 2.x 설치

npm i @capacitor/core@2.4.7

5. sync

ionic cap sync

6. 플랫폼 추가

ionic cap add android

Ionic에서는 Android Studio 4.2 버전을 준비한다고 무슨 작업을 했던 모양이지만 쓰는 입장에서는 아주 짜증....

capacitor 3.x 에서 Android Studio을 open하려면 윈도우 환경변수에 CAPACITOR_ANDROID_STUDIO_PATH 를 추하해줘야 함

변수값은 studio64.exe 까지 있어야 함

※ 추가

jetbrains toolbox를 이용해 설치했을 경우 수동으로 열어야 함

https://stackoverflow.com/questions/62933844/ionic-with-capacitor-and-android-not-running-emulator-in-intellij

 

※ 추가

ionic/cli 버전을 6.15이상을 유지한 상태에서 capacitor 버전만 낮춰도 가능

1. capacitor.config.ts 파일을 삭제

2. capacitor/cli 버전 변경

npm i @capacitor/cli@2.4.7 --force

3. capacitor/core 버전 변경

npm i @capacitor/core@2.4.7 --force

4. capacitor config 파일 추가

npx cap init

 

0 Comments
댓글쓰기 폼